# CAR PRICE PREDICTION  

A machine learning program that predicts the price of cars as seen in the dataset given. This program uses a **simple ensemble regressor algorithm** to predict a reasonable Manufacturer suggested retail price for cars.  

## Data set and its description  

| Data              | Description                          |
|-------------------|--------------------------------------|
| Make              | Company or brand name                |
| Model             | Car category                         |
| Year              | Production year                      |
| Engine fuel type  | Engine fuel combustion type          |
| Engine HP         | Horse power capability of the engine |
| Engine cylinders  | Number of cylinders                  |
| Transmission type | Automatic, manual etc                |
| Driven_wheels     | type of wheel drive                  |
| Number of doors   | Available doors attached to the car  |
| Market_category   | Targeted audience for the car        |
| Vehicle size      | dimension of the car                 |
| Vehicle style     | car design appeal                    |
| Highway MPG       | Highway miles travelled              |
| City MPG          | City miles attainable                |
| Popularity        | Numeric figure                       |
| MSRP              | Manufacturers' recommended pricing   |

## Dependencies and packages  

1. numpy>=1.20.0,<1.21.0
2. pandas>=1.3.5,<1.4.0
3. pydantic>=1.8.1,<1.9.0
4. scikit-learn>=1.0.2,<1.1.0
5. strictyaml>=1.3.2,<1.4.0
6. ruamel.yaml==0.16.12
7. feature-engine>=1.0.2,<1.1.0
8. joblib>=1.0.1  

## Source code link  

Source code link:
[Github link](https://github.com/chibuikeeugene/Car_price_prediction.git)  